Gnome Developers' Information
<<< Previous | GNOME User Interface library. | Next >>>

# gnome-font-selector

## Description

GnomeFontSelector widget, by Elliot Lee. Derived from code in: The GIMP -- an image manipulation program Copyright (C) 1995 Spencer Kimball and Peter Mattis

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

## FontInfo - struct is defined in gnome-fontsel.c

    struct _FontInfo FontInfo

### Description

struct is defined in gnome-fontsel.c

## gnome_font_selector_get_selected - You should free this retval up after you're done with it

`gchar *`gnome_font_selector_get_selected``(GnomeFontSelector *`text_tool`);

### Description

You should free this retval up after you're done with it

### Parameters

- GnomeFontSelector *`text_tool`

  Not Descripted.

## gnome_font_select

`gchar *`gnome_font_select``(void `(null)`);

### Description

Basically runs a modal-dialog version of this, and returns the string that id's the selected font.

### Parameters

- void `(null)`

  Not Descripted.

<<< Previous | Home | Next >>>
gnome-dns | Up | gnome-ice